package godau.fynn.dsbdirect.table.reader;

import android.content.Context;

import javax.annotation.Nullable;

public class Dummy extends Reader {


    public Dummy(Context context) {

        super("", context);
    }

    @Override
    public void addEntries() {

        // Test info entry
        addInfoEntry("Bitte keine Tiere auf der Toilette zurücklassen.", null);

        // Test error entry
        addErrorEntry();

        // Test duplicate entries
        //addInfoEntry();

        // For issue #33 https://notabug.org/fynngodau/DSBDirect/issues/33
        addEntry("10a · D", "3", null, "E47 · statt Mi", null);
        addEntry("10a · D", "4", null, "E47 · statt Mi", null);
        addEntry("10b · F 2. FS", "5", null, "U5 · Raumänderung", null);
        addEntry("10b · F 2. FS", "6", null, "U5 · Raumänderung", null);
        addEntry("10c", "5", null, "--- · fällt aus", null);
        addEntry("10d · M", "3", null, "E44 · statt Mi", null);
    }

    @Nullable
    @Override
    public String getSchoolName() {
        String[] names = {"Baumschule", "Dummydatengymnasium", "Max-Mustermann-Realschule", "University of Farmington"};

        int rand = (int) (Math.random() * names.length); // Cut off decimals

        return names[rand];
    }
}
